/*------------------------------------------------------------------------------\
 * @package:    React Project Template
 * @author:     Richard Winters
 * @copyright:  2022 Richard B Winters
 * @license:    Apache-2.0 <http://www.apache.org/licenses/LICENSE-2.0>
 * @version:    0.1.1
 *------------------------------------------------------------------------------/
 *
 * TOC
 *
 * 1. Defines
 * 2. Core Styles
 *----------------------------------------------------------------------------*/


/******************************************************************************\
 * 1. DEFINES
******************************************************************************/

$theme-background-color:            #ffffff;
$theme-on-background-color:         #353535;
$theme-under-on-color:              #aaaaaa;
$theme-over-on-color:               #666666;

$theme-background-color-inverse:    #353535;
$theme-on-background-color-inverse: #ffffff;

$theme-surface-primary:             #3f3f3f;
$theme-on-surface-primary:          #ffffff;

$theme-surface-secondary:           #3480b2;
$theme-on-surface-secondary:        #ffffff;

$theme-surface-highlight:           #dde8f9;
$theme-on-surface-highlight:        #353535;

$theme-highlight-compliment:        #4e84cb;
$theme-on-highlight-compliment:     #ffffff;

$theme-pale-compliment:             #f2f2f2;
$theme-on-pale-compliment:          #000000;

$theme-font-family-primary:           Roboto, sans-serif;
$theme-font-family-code:              Roboto Mono, sans-serif;


/******************************************************************************\
 * 2. Core Styles
******************************************************************************/

@import './core/base';

@import './core/structure';

